Loading...
Searching...
No Matches
mpr_base.h File Reference
`#include "kernel/numeric/mpr_numeric.h"`

Go to the source code of this file.

## Data Structures

class | resMatrixBase
| Base class for sparse and dense u-Resultant computation. More...
class | uResultant
| Base class for solving 0-dim poly systems using u-resultant. More...

## Macros

#define | SNONE -1
#define | SFREE -2

## Enumerations

enum | mprState { mprOk , mprWrongRType , mprHasOne , mprInfNumOfVars , mprNotReduced , mprNotZeroDim , mprNotHomog , mprUnSupField }

## Functions

uResultant::resMatType | determineMType (int imtype)
mprState | mprIdealCheck (const ideal theIdeal, const char *name, uResultant::resMatType mtype, BOOLEAN rmatrix=false)
ideal | loNewtonPolytope (const ideal id)

## Variables

EXTERN_VAR size_t | gmp_output_digits

## Macro Definition Documentation

## SFREE

#define SFREE -2

Definition at line 15 of file mpr_base.h.

## SNONE

#define SNONE -1

Definition at line 14 of file mpr_base.h.

## Enumeration Type Documentation

## mprState

enum mprState

Enumerator
mprOk |
mprWrongRType |
mprHasOne |
mprInfNumOfVars |
mprNotReduced |
mprNotZeroDim |
mprNotHomog |
mprUnSupField |

Definition at line 96 of file mpr_base.h.

{
mprOk,
mprWrongRType,
mprHasOne,
mprInfNumOfVars,
mprNotReduced,
mprNotZeroDim,
mprNotHomog,
mprUnSupField
};
mprNotHomog
@ mprNotHomog
Definition mpr_base.h:104
mprInfNumOfVars
@ mprInfNumOfVars
Definition mpr_base.h:101
mprHasOne
@ mprHasOne
Definition mpr_base.h:100
mprNotReduced
@ mprNotReduced
Definition mpr_base.h:102
mprWrongRType
@ mprWrongRType
Definition mpr_base.h:99
mprNotZeroDim
@ mprNotZeroDim
Definition mpr_base.h:103
mprOk
@ mprOk
Definition mpr_base.h:98
mprUnSupField
@ mprUnSupField
Definition mpr_base.h:105

## Function Documentation

## determineMType()

uResultant::resMatType determineMType | ( | int | imtype | ) |

## loNewtonPolytope()

ideal loNewtonPolytope | ( | const ideal | id | ) |

Definition at line 3191 of file mpr_base.cc.

{
simplex * LP;
int i;
int /*n,*/totverts,idelem;
ideal idr;
// n= (currRing->N);
idelem= IDELEMS(id); // should be n+1
totverts = 0;
for( i=0; i < idelem; i++) totverts += pLength( (id->m)[i] );
LP = new simplex( idelem+totverts*2+5, totverts+5 ); // rows, cols
// evaluate convex hull for supports of id
convexHull chnp( LP );
idr = chnp.newtonPolytopesI( id );
delete LP;
return idr;
}
i
int i
Definition cfEzgcd.cc:132
convexHull
Definition mpr_base.cc:250
simplex
Linear Programming / Linear Optimization using Simplex - Algorithm.
Definition mpr_numeric.h:195
pLength
static int pLength(poly a)
Definition p_polys.h:190
IDELEMS
#define IDELEMS(i)
Definition simpleideals.h:23

## mprIdealCheck()

mprState mprIdealCheck | ( | const ideal | theIdeal,
|  | const char * | name,
|  | uResultant::resMatType | mtype,
|  | BOOLEAN | rmatrix = false )

## Variable Documentation

## gmp_output_digits

EXTERN_VAR size_t gmp_output_digits

Definition at line 115 of file mpr_base.h.